if(!isObject(AppCon))
{
	new GameConnection(AppCon);
}

function RecApp(%c,%f)
{
	%file=new FileObject();
	%file.openForWrite(%f);
	
	%file.writeLine("[General]");
	%file.writeLine("- facename" SPC %c.faceName);
	%file.writeLine("- decalname" SPC %c.decalName);
	%file.writeLine("- gender" SPC %c.gender);
	
	%file.writeLine("[Accent]");
	%file.writeLine("- accent" SPC %c.hat);
	%file.writeLine("- accentcolor" SPC %c.hatColor);
	
	%file.writeLine("[Hat]");
	%file.writeLine("- hat" SPC %c.hat);
	%file.writeLine("- hatcolor" SPC %c.hatColor);
	
	%file.writeLine("[Head]");
	%file.writeLine("- headcolor" SPC %c.headcolor);
	
	%file.writeLine("[Hip]");
	%file.writeLine("- hip" SPC %c.hip);
	%file.writeLine("- hipcolor" SPC %c.hipColor);
	
	%file.writeLine("[Chest]");
	%file.writeLine("- chest" SPC %c.chest);
	%file.writeLine("- chestcolor" SPC %c.chestColor);
	
	%file.writeLine("[Left Arm]");
	%file.writeLine("- larm" SPC %c.lArm);
	%file.writeLine("- larmcolor" SPC %c.lArmColor);
	
	%file.writeLine("[Right Arm]");
	%file.writeLine("- rarm" SPC %c.rArm);
	%file.writeLine("- rarmcolor" SPC %c.rArmColor);
	
	%file.writeLine("[Left Hand]");
	%file.writeLine("- lhand" SPC %c.lHand);
	%file.writeLine("- lhandcolor" SPC %c.lHandColor);
	
	%file.writeLine("[Right Hand]");
	%file.writeLine("- rhand" SPC %c.rHand);
	%file.writeLine("- rhandcolor" SPC %c.rHandColor);
	
	%file.writeLine("[Left Leg]");
	%file.writeLine("- lleg" SPC %c.lLeg);
	%file.writeLine("- llegcolor" SPC %c.lLegColor);
	
	%file.writeLine("[Right Leg]");
	%file.writeLine("- rleg" SPC %c.rLeg);
	%file.writeLine("- rlegcolor" SPC %c.rLegColor);
	
	%file.writeLine("[Pack]");
	%file.writeLine("- pack" SPC %c.pack);
	%file.writeLine("- packcolor" SPC %c.packColor);
	
	%file.writeLine("[Secondpack]");
	%file.writeLine("- secondpack" SPC %c.pack);
	%file.writeLine("- secondpackcolor" SPC %c.packColor);
	
	%file.close();
	%file.delete();
}

function LoadApp(%c,%f)
{
	//Create the FileObject.
	%file=new FileObject();
	%file.openForRead(%f);
	
	if(%c.getClassName() $= "AIPlayer" || (%c.getClassName() $= "Player" && !isObject(%c.client)))
	{
		%obj = %c;
		%c = AppCon;
		%c.player = %obj;
	}
	else
	{
		if(isObject(%c.client))
		{
			%obj = %c;
			%c = %c.client;
		}
	}
	while(!%file.isEOF())
	{
		%line=%file.readLine();
		if(getWord(%line,0)$="-")
		{
			eval(%c@"."@getWord(%line,1)@"=\""@getWords(%line,2)@"\";");
		}
	}
	%c.applyBodyParts();
	%c.applyBodyColors();

	%file.close();
	%file.delete();
}
